@import "../../../../styles/constants";

.movie {
  padding: 0;
  overflow: hidden;
  background-color: white;
  border-radius: 10px;
  position: relative;
  width: 185px;
  height: 400px;
  transition: 0.5s ease;

  &:hover {
    transform: scale(1.04, 1.04);
    box-shadow: 0px 0px 18px 0px lighten($primary-color, $amount: 10);
    cursor: pointer;
  }

  span.adult {
    &::after {
      content: "+18";
      color: white;
      position: absolute;
      background-color: red;
      border-top-left-radius: 10px;
      border-bottom-left-radius: 10px;
      padding: 5px;
      font-size: 14px;
      top: 10px;
      right: 0;
    }
  }

  .movie-img {
    overflow: hidden;
  }

  .movie-info {
    position: relative;
    top: -5px;
    padding: 8px;
    display: flex;
    flex-direction: column;

    p.title {
      width: 100%;
      height: 35px;
      margin-top: 5px;
      color: #333333;
      font-weight: 600;
      margin: 0;
      overflow: hidden;
    }

    .rating {
      margin: 5px 0;
    }

    span.date {
      color: gray;
      font-size: 15px;
      &::before {
        content: "Release: ";
        font-size: 14px;
      }
    }
  }
}
